- name: Create Deskwork AI Stack
  hosts: deskwork-ai
  tasks:
    - name: Create /home/ai/.config/containers/systemd
      ansible.builtin.file:
        path: /home/ai/.config/containers/systemd
        state: directory
        mode: "0755"
    - name: Copy Quadlets
      template:
        src: "{{ item }}"
        dest: "/home/ai/.config/containers/systemd/{{ item }}"
      loop:
        - ai-internal.network
        - ai-internal.pod
        - llama-embed.container
        - llama-instruct.container
        - llama-think.container
    - name: Reload and start the ai-internal-pod service
      ansible.builtin.systemd_service:
        state: restarted
        name: ai-internal-pod.service
        daemon_reload: true
        scope: user
